Subject: Re: [bug#71697] [PATCH v4 1/2] scripts: lint: Add 'dry-run' option.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 18 Jul 2024 11:19:38 +0200

Hi,

Simon Tournier <[email-masked]> skribis:

> +             (fold-packages (lambda (p r)
> +                              (show-package-checkers p checkers)
> +                              (when (not (assoc-ref opts 'dry-run?))
> +                                (run-checkers p checkers
> +                                              #:store store))) '()))

I’d call ‘show-package-checkers’ only for dry runs (like it would print
“the following checkers would run: …”).  That said, I find ‘--dry-run’
in this case not so useful because it would just print the same thing on
and on for each and every package.

Also, s/when not/unless/.

Ludo’.